org.codehaus.groovy.runtime.powerassert

## Class ValueRecorder

- java.lang.Object
- - org.codehaus.groovy.runtime.powerassert.ValueRecorder

-     public class ValueRecorder
      extends Object

  Records values produced during evaluation of an assertion statement's truth expression.
  Author:
    Peter Niederwieser

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueRecorder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `List<Value>` | `getValues()`
    `Object` | `record(Object value, int anchor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueRecorder

          public ValueRecorder()

  - ### Method Detail

    - #### clear

          public void clear()

    - #### record

          public Object record(Object value,
                      int anchor)

    - #### getValues

          public List<Value> getValues()